import request from './request.js'

// 上传文件
export function uploadFile(data = {}) {
  return request.post('/upload',data)
}
/* 是否购买资源
 * buyType  1-工作流  2-课程 
 * chapterId  章节id（buyType为2必填）
 * publishId  工作流id（buyType为1必填）
 */
export function purchase(data = {}) {
  return request.get('/common/purchase',data)
}
// 获取课程标签
//学习阶段  bus_study_stage
//教程分类  bus_course_category
//技能标签  bus_skill_tag
export function getDictType(data = {}) {
  return request.get('/common/dictData',data)
}
// 首页宣传文案
// dictType=bus_promotion_text
export function getDictList(data = {}) {
  return request.get('/common/dictList',data)
}
// 查询协议
//发布提示  release_hint
//发布规则  release_rules
export function getAgreementType(data = {}) {
  return request.get('/agreement/agreementType',data)
}